#define Msun 1.9891e+33
		//?IAU edenizy
#define Rsun 6.9599e+10
//#define Rsun 7e+10
                    /* cm */
   
#define ME   9.109382e-28  //NIST 2003
//#define ME   9.10939  //palata mer i vesov=PMV
		//staroe:  9.10956e-28

#define Mp   1.67262e-24 // NIST 2003 
                      /* 1.67e-24g */

#define HB   1.054592e-27

#define H    6.6260693e-27 //NIST 2003
                          //IAU   (2.*PI*HB)

#define E    4.8032e-10 // 2003 Astrophysical Calculator  www.astro.wisc.edu/~dolan/constants/calc.html

#define YEAR 3.156e+7
                       /* sec */
#define PARSEC 3.0857e+18
                       /* cm */

#define KPC (1000.*PARSEC)
                       /* cm */

#define SIGMAt 6.65e-25
                     /* cm^2 */
//#define Kt (SIGMAt/Mp)

//   CHANGED on 07.05.03 from 0.4 to 0.398
#define Kt  0.398  // H plasma 
                     /* 0.38 cm^2/g */
                     
//#define Kff ((1.8e-25)/(Mp*Mp))   //tol'ko free-free i tolko H plasma.
		    //constant in free-free opacity coefficient	
                    /*  6.45e+22 cm^5  K^{7/2} / g^2  */

//#define Kff (5e+24)
    //Proverka


//#define Kff (6.45e+22)


#define C 2.997925e+10 // NIST 2003
                    /* cm/sec */
#define G 6.67428e-8 // via NIST, from "2006 CODATA recommended values"
//6.672 <- PMV
//#define G (1./1.5e+7)
                      /*  cm3 g-1 s-2 */
//#define PI 3.14159265358979;
                      


#define A 7.565766e-15   // 4.*Sigm/C 
                       /* erg/cm^3 K^4  - post. plotnosti izlucheniya*/


#define Sigm 5.6704e-5 // (C*A/4.) NIST 2003
                       /*  erg/(cm^2 s K^4) - post. Stephana-Bolzmana*/
			// 5.67e-5
#define R 8.3145e+7  //NIST 2003
//#define R 8.3e+7
                      /* erg/mol K   */

#define K 1.38066e-16 
		//staroe - 1.38062e-16 
                      /* erg/K  1.380 658(12) - mera palat i vesov */
#define RY (13.6*1.6e-12)
// postoyannaya Ridberga

#define GAMMA_5_3 (0.9027)  // Gamma funzkiya (5/3)
#define GAMMA_4_3 (0.8930)  // Gamma funzkiya (4/3)
#define GAMMA_3_2d (2.4240) // Gamma funzkiya (3.2)
#define GAMMA_3_7d (4.1706) //  Gamma funzkiya (3.7)
#define GAMMA_4_9d (20.66812) // Gamma funzkiya (4.9)
#define GAMMA_5_4d (44.600667) //  Gamma funzkiya (5.4)
#define GAMMA_5 (24.0) // Gamma funkziya (5)
#define GAMMA_4_5d (11.63173) // Gamma funkziya (4.5)

#define ERGinEV  1.60219e-12 // 1eV = 1.60219e-12 erg

#define  EVNU (ERGinEV/H)   // Hz , sootv 1 eV

#define EVT (ERGinEV/K)     // Kelvin,  sootv 1 eV

#define KEV (ERGinEV*1e+3/H)      //Hz, chastota sootvet. 1 KeV 2.418*1e+17

#define ERGinHZ  H // how many erg correspond to 1 Hz  

#define DEN 86400.          //sec, chislo secund v dne

#define GOD 31558150.  // sec, siderichskii god
//#           31557600. //IAU edenizy
// 1eV = 1.60219e-12 erg =k*T=H*nyu ~ 11600 K = 2.3e+14 Hz
// 1Kev = 1.6e-9 erg = 1.1e+7 K = 2.3e+17 Hz
//0.2 keV = 4.64e+16  10 KeV = 2.3e+18

#define A_LB 2.06 /* coefficient in limb-darkening law for
       the atmosphere, optically thick on electron scattering */

// #define A_LB 1.5 /* coefficient in limb-darkening law for
//      the non-scattering grey atmosphere */
       
